<!--
 * @Description: 总体布局
 * @Author: 王旭
 * @Date: 2022-03-01 15:33:01
 * @LastEditTime: 2022-03-22 14:25:53
 * @LastEditors: 王旭
-->
<template>
  <div class="home">
    <!-- elementui布局 -->
    <el-container>
      <!-- <el-header style="padding: 0; height: 60px"> -->
        <!-- 头部导航里 -->
        <!-- <headerV></headerV>
      </el-header> -->
      <el-container style="margin: 0px; padding: 0px; height: 100%">
        <el-main :style="styleVar">
          <!--为第3级别业务组件的显示设置占位符-->
          <keep-alive>
            <router-view />
          </keep-alive>
        </el-main>
      </el-container>
    </el-container>
  </div>
</template>

<script>
import { mapMutations } from "vuex";
import headerV from "../components/headers.vue";
// import navMenu from "../components/navMenu.vue";
export default {
  name: "Home",
  data() {
    return {
      currentPath: "",
      styleVar: {
        "--background": "transparent",
      },
    };
  },
  components: {
    headerV,
  },
  watch: {
    // 监听,当路由发生变化的时候执行
    $route(to, from) {
      this.UPstyle(to.path);
    },
  },
  methods: {
    ...mapMutations(["INITIAL_DATA_MENU"]),
    //修改样式
    UPstyle(e) {
      if (e == "/firstpage") {
        this.styleVar["--background"] = "#000";
      } else {
        this.styleVar["--background"] = "transparent";
      }
    },
    //初始化界面读取数据菜单配置，并保存到state中
    InitalDataMenuType() {
      let that = this;
      this.$axios({
        methods: "get",
        url: "/datamenutypes/get",
        data: null,
      }).then((res) => {
        console.log(res);
        if (res.data.status === 200) that.INITIAL_DATA_MENU(res.data.rows);
      });
    },
  },
  created() {
    this.UPstyle(this.$route.path);
    //this.InitalDataMenuType();
  },
};
</script>
<style scoped lang="less">
.home {
  height: 100%;
  position: relative;

  .el-container {
    height: 100%;
  }
}

.el-main {
  margin: 0px;
  padding: 0px;
  background: var(--background);
}
</style>
